<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:fitsSystemWindows="true"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.lightgame.view.scale.ScaleFrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/ui_divider"
        android:visibility="visible"
        app:fractionValue="0.5"
        app:measureBy="width" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:layout_marginTop="-16dp"
        android:background="@drawable/background_shape_white_radius_16_top_only">

        <View
            android:layout_width="90dp"
            android:layout_height="28dp"
            android:layout_marginStart="16dp"
            android:layout_marginLeft="16dp"
            android:background="@drawable/bg_skeleton_radius_999"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:layout_width="104dp"
            android:layout_height="24dp"
            android:layout_marginEnd="16dp"
            android:layout_marginRight="16dp"
            android:background="@drawable/bg_skeleton_radius_999"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/ui_surface"
        android:orientation="vertical"
        android:paddingStart="16dp"
        android:paddingEnd="16dp">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="142dp"
            android:background="@drawable/bg_skeleton_radius_8">

            <View
                android:layout_width="160dp"
                android:layout_height="20dp"
                android:layout_marginStart="16dp"
                android:layout_marginLeft="16dp"
                android:layout_marginTop="16dp"
                android:background="@drawable/bg_skeleton_child_radius_4"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_marginStart="16dp"
                android:layout_marginLeft="16dp"
                android:layout_marginTop="48dp"
                android:background="@drawable/bg_skeleton_child_radius_8"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_marginStart="56dp"
                android:layout_marginLeft="56dp"
                android:layout_marginTop="48dp"
                android:background="@drawable/bg_skeleton_child_radius_8"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_marginStart="96dp"
                android:layout_marginLeft="96dp"
                android:layout_marginTop="48dp"
                android:background="@drawable/bg_skeleton_child_radius_8"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:layout_width="80dp"
                android:layout_height="20dp"
                android:layout_marginEnd="16dp"
                android:layout_marginRight="16dp"
                android:layout_marginBottom="16dp"
                android:background="@drawable/bg_skeleton_child_radius_999"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="142dp"
            android:layout_marginTop="16dp"
            android:background="@drawable/bg_skeleton_radius_8">

            <View
                android:layout_width="160dp"
                android:layout_height="20dp"
                android:layout_marginStart="16dp"
                android:layout_marginLeft="16dp"
                android:layout_marginTop="16dp"
                android:background="@drawable/bg_skeleton_child_radius_4"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_marginStart="16dp"
                android:layout_marginLeft="16dp"
                android:layout_marginTop="48dp"
                android:background="@drawable/bg_skeleton_child_radius_8"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_marginStart="56dp"
                android:layout_marginLeft="56dp"
                android:layout_marginTop="48dp"
                android:background="@drawable/bg_skeleton_child_radius_8"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_marginStart="96dp"
                android:layout_marginLeft="96dp"
                android:layout_marginTop="48dp"
                android:background="@drawable/bg_skeleton_child_radius_8"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:layout_width="80dp"
                android:layout_height="20dp"
                android:layout_marginEnd="16dp"
                android:layout_marginRight="16dp"
                android:layout_marginBottom="16dp"
                android:background="@drawable/bg_skeleton_child_radius_999"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="142dp"
            android:layout_marginTop="16dp"
            android:background="@drawable/bg_skeleton_radius_8">

            <View
                android:layout_width="160dp"
                android:layout_height="20dp"
                android:layout_marginStart="16dp"
                android:layout_marginLeft="16dp"
                android:layout_marginTop="16dp"
                android:background="@drawable/bg_skeleton_child_radius_4"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_marginStart="16dp"
                android:layout_marginLeft="16dp"
                android:layout_marginTop="48dp"
                android:background="@drawable/bg_skeleton_child_radius_8"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_marginStart="56dp"
                android:layout_marginLeft="56dp"
                android:layout_marginTop="48dp"
                android:background="@drawable/bg_skeleton_child_radius_8"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_marginStart="96dp"
                android:layout_marginLeft="96dp"
                android:layout_marginTop="48dp"
                android:background="@drawable/bg_skeleton_child_radius_8"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:layout_width="80dp"
                android:layout_height="20dp"
                android:layout_marginEnd="16dp"
                android:layout_marginRight="16dp"
                android:layout_marginBottom="16dp"
                android:background="@drawable/bg_skeleton_child_radius_999"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="142dp"
            android:layout_marginTop="16dp"
            android:background="@drawable/bg_skeleton_radius_8">

            <View
                android:layout_width="160dp"
                android:layout_height="20dp"
                android:layout_marginStart="16dp"
                android:layout_marginLeft="16dp"
                android:layout_marginTop="16dp"
                android:background="@drawable/bg_skeleton_child_radius_4"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_marginStart="16dp"
                android:layout_marginLeft="16dp"
                android:layout_marginTop="48dp"
                android:background="@drawable/bg_skeleton_child_radius_8"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_marginStart="56dp"
                android:layout_marginLeft="56dp"
                android:layout_marginTop="48dp"
                android:background="@drawable/bg_skeleton_child_radius_8"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:layout_marginStart="96dp"
                android:layout_marginLeft="96dp"
                android:layout_marginTop="48dp"
                android:background="@drawable/bg_skeleton_child_radius_8"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <View
                android:layout_width="80dp"
                android:layout_height="20dp"
                android:layout_marginEnd="16dp"
                android:layout_marginRight="16dp"
                android:layout_marginBottom="16dp"
                android:background="@drawable/bg_skeleton_child_radius_999"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </LinearLayout>

</LinearLayout>